import * as React from 'react';
import './SearchBox.scss';
interface ISearchBoxProps {
    onChangeSearch: (searchText: string) => void;
    onSubmitSearch: (event: React.FormEvent) => void;
    searchText: string;
}
interface ISearchBoxState {
    mobileExpanded: boolean;
}
export declare class SearchBox extends React.Component<ISearchBoxProps, ISearchBoxState> {
    state: ISearchBoxState;
    constructor(props: Readonly<ISearchBoxProps>);
    onChangeSearch(event: React.FormEvent<HTMLInputElement>): void;
    toggleMobileExpanded(): void;
    render(): JSX.Element;
}
export {};
